function FirstAssistant() {
	/* this is the creator function for your scene assistant object. It will be passed all the 
	   additional parameters (after the scene name) that were passed to pushScene. The reference
	   to the scene controller (this.controller) has not be established yet, so any initialization
	   that needs the scene controller should be done in the setup function below. */
}

FirstAssistant.prototype.setup = function() {
	/* this function is for setup tasks that have to happen when the scene is first created */
		
	/* use Mojo.View.render to render view templates and add them to the scene, if needed */
	
	/* setup widgets here */
	
	/* add event handlers to listen to events from widgets */
	
	this.textFieldAtt = {
			hintText: 'Enter a number',
			textFieldName:	'txt', 
			modelProperty:		'original', 
			multiline:		false,
			disabledProperty: 'disabled',
			focus: 			true, 
			modifierState: Mojo.Widget.numLock,
			//autoResize: 	automatically grow or shrink the textbox horizontally,
			//autoResizeMax:	how large horizontally it can get
			//enterSubmits:	when used in conjunction with multline, if this is set, then enter will submit rather than newline
			limitResize: 	false, 
			holdToEnable:  false, 
			focusMode:		Mojo.Widget.focusSelectMode,
			changeOnKeyPress: true,
			textReplacement: false,
			maxLength: 30,
			requiresEnterKey: false
	};
	
	this.logFieldAtt = {
			textFieldName:	'log', 
			modelProperty:		'original', 
			multiline:		true,
			disabledProperty: 'disabled',
			focus: 			true, 
			//autoResize: 	automatically grow or shrink the textbox horizontally,
			//autoResizeMax:	how large horizontally it can get
			//enterSubmits:	when used in conjunction with multline, if this is set, then enter will submit rather than newline
			limitResize: 	false, 
			holdToEnable:  false, 
			focusMode:		Mojo.Widget.focusSelectMode,
			changeOnKeyPress: true,
			textReplacement: false,
			maxLength: 30,
			requiresEnterKey: false
	};

	//Setup the textfield widget and observer
	this.controller.setupWidget('minTxt', this.textFieldAtt, this.model);
	
	//Setup the textfield widget and observer
	this.controller.setupWidget('maxTxt', this.textFieldAtt, this.model);
	
	//Setup the textfield widget and observer
	this.controller.setupWidget('log', this.logFieldAtt, this.model);
	
	this.controller.setupWidget("button1",
		this.attributes = {},
		this.model = {
			label: "Generate",
			disabled: false
		}
	);
	
	this.controller.setupWidget("clear",
		this.attributes = {},
		this.model = {
			label: "Clear Log",
			disabled: false
		}
	);
	
	this.handleButton1=this.handleButtonPress1.bindAsEventListener(this);
    Mojo.Event.listen(this.controller.get("button1"), Mojo.Event.tap, this.handleButton1);
	
	this.handleClear1=this.handleClearPress1.bindAsEventListener(this);
    Mojo.Event.listen(this.controller.get("clear"), Mojo.Event.tap, this.handleClear1);
};

FirstAssistant.prototype.activate = function(event) {
	/* put in event handlers here that should only be in effect when this scene is active. For
	   example, key handlers that are observing the document */
};

FirstAssistant.prototype.deactivate = function(event) {
	/* remove any event handlers you added in activate and do any other cleanup that should happen before
	   this scene is popped or another scene is pushed on top */
};

FirstAssistant.prototype.cleanup = function(event) {
	/* this function should do any cleanup needed before the scene is destroyed as 
	   a result of being popped off the scene stack */
};

FirstAssistant.prototype.handleClearPress1 = function(event) {
	this.controller.get("log").innerText = "";
}

FirstAssistant.prototype.handleButtonPress1 = function(event) {
	var min = parseFloat(this.controller.get("minTxt").innerText);
	var max = parseFloat(this.controller.get("maxTxt").innerText);
	var result = 0;
	result = Math.floor((Math.random() * max) + min);
	while (result > max) {
		result = Math.floor((Math.random() * max) + min);
	}
	this.controller.get("log").innerText = result + "\n\n" + this.controller.get("log").innerText;
}
